Jump to content

Update problem


Recommended Posts

Trying to update a store from 6.0.10 to 6.4.4 but it won't let me run set up. I've looked at all the posts previously but can't find a solution. I've contacted hosting who say there are no problems their end. Anyone any ideas please?

509469664_Image11.jpg.af8b9615a6b97cc19cf9a749315a9497.jpg

Link to comment
Share on other sites

What seems to be the result when you click the [Continue >>] button at the lower-right?

Note: The [Update] button at the upper-right is to update the choice of language to show during the installation/upgrade process, and will be the default language to use for the storefront and admin center after installation.

 

Link to comment
Share on other sites

Hi bsmither. Been a few years since I've touched Cubecart and you were always a great source of wisdom back then. Good to see you are still going strong.

Nothing happens when I click the Continue button (tried several browsers). The store appears to have updated but in admin it says the database has not been updated. I did the update by uploading the zip file and unzipping which I have always done before without any problems.

"WARNING: Your store appears to be using source code from 6.4.4 but the database is still at 6.0.10. Please complete the update by running the setup process."

So it appears to be stuck for some reason.

Link to comment
Share on other sites

The only other instance reported on the forums is when the PHP does not have a working 'session' location. In that instance, clicking Continue did "submit" the form, but brought back the same page. (Depending on your browser, it may show a cached copy of the page if the web server said nothing had changed.)

You said that the prior installation was working fine. But did you also upgrade the version of PHP at the same time? Or was the prior CubeCart also running PHP7.3.33?

Please view this page on your site:

www.example.com/setup/info.php

Scan the Session table for where PHP is storing the session data, if any. In that table, find session.save_handler and session.save_path.

You might also look in the Core table to find where PHP is logging its error_log. Look at the log to see if there are any clues.

I also notice that the suggested version of the database is 5.5 or later, yet PHP reports that the database server (actually the mysqlnd library for the PHP extension) is at 5.0.12. (Not sure if it makes a difference.) Please confirm this with your hosting provider.

And this is not really checking the database server version. Just the version of the PHP extension that PHP uses to talk to the database server. I am running PHP 7.4.3 and the mysqlnd library version with it is at version 7.4.3.

Edited by bsmither
Link to comment
Share on other sites

Posted (edited)
11 hours ago, bsmither said:

The only other instance reported on the forums is when the PHP does not have a working 'session' location. In that instance, clicking Continue did "submit" the form, but brought back the same page. (Depending on your browser, it may show a cached copy of the page if the web server said nothing had changed.)

You said that the prior installation was working fine. But did you also upgrade the version of PHP at the same time? Or was the prior CubeCart also running PHP7.3.33?

I've contacted hosting company to see if they can confirm we have sessions working. I don't have a clue how to check that. I asked them to update PHP because I was getting an error page asking for the update before it would load the setup page. Running mySQL libmysql - 5.6.43. The session.save_handler and session.save_path look OK, one says files the other specifies a path. Can't find an error log. 

No idea what the problem is as host say everything is OK. So I installed 6.4.3 into a new folder, uploaded 6.4.4 zip file to server, unzipped and ran setup and all seemed to work. No idea what that tells me.

Logged into admin and looking in the database page it says there are duplicate key indexes that can be removed. Do I need to do anything about that?

Original store still won't run setup. 

Edited by ayz1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...